Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Handlers 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.parsing
Class EacToolkitNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          com.endeca.soleng.eac.toolkit.parsing.EacToolkitNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class EacToolkitNamespaceHandler

extends org.springframework.beans.factory.xml.NamespaceHandlerSupport

Class used to identify the appropriate parser for elements in the custom namespace used by the toolking in the app config document. This class identifies the appropriate class to construct for a specific XML element as well as the elements and attributes to parse from the element. A single parser is used for all elements, but this handler instantiates the parser with the appropriate class to create and arrays of element names and attribute names to parse from the XML element.

Field Summary
`static java.lang.String[]` | `AGIDX_ATTRIBUTES`
`static java.lang.String[]` | `AGIDX_ELEMENTS`
`static java.lang.String[]` | `AGRAPH_ATTRIBUTES`
`static java.lang.String` | `AGRAPH_BASE_ID` Name of default-agraph "base" attribute
`static java.lang.String[]` | `AGRAPH_ELEMENTS`
`static java.lang.String[]` | `AGRAPHCLUSTER_ATTRIBUTES`
`static java.lang.String[]` | `AGRAPHCLUSTER_ELEMENTS`
`static java.lang.String[]` | `BACKUP_ATTRIBUTES`
`static java.lang.String[]` | `BACKUP_ELEMENTS`
`static java.lang.String[]` | `COPY_ATTRIBUTES`
`static java.lang.String[]` | `COPY_ELEMENTS`
`static java.lang.String[]` | `CUSTOM_COMPONENT_ATTRIBUTES`
`static java.lang.String[]` | `CUSTOM_COMPONENT_ELEMENTS`
`static java.lang.String[]` | `DGIDX_ATTRIBUTES`
`static java.lang.String[]` | `DGIDX_ELEMENTS`
`static java.lang.String[]` | `DGRAPH_ATTRIBUTES`
`static java.lang.String` | `DGRAPH_BASE_ID` Name of default-dgraph "base" attribute
`static java.lang.String[]` | `DGRAPH_ELEMENTS`
`static java.lang.String[]` | `DGRAPHCLUSTER_ATTRIBUTES`
`static java.lang.String[]` | `DGRAPHCLUSTER_ELEMENTS`
`static java.lang.String[]` | `EAC_BASE_ATTRIBUTES`
`static java.lang.String[]` | `EAC_BASE_ELEMENTS`
`static java.lang.String` | `EAC_BASE_ID` Default name for "base" attribute
`static java.lang.String[]` | `EAC_BASE_REF_ATTRIBUTES`
`static java.lang.String[]` | `FORGE_ATTRIBUTES`
`static java.lang.String[]` | `FORGE_ELEMENTS`
`static java.lang.String[]` | `FORGECLUSTER_ATTRIBUTES`
`static java.lang.String[]` | `FORGECLUSTER_ELEMENTS`
`static java.lang.String[]` | `HOST_ATTRIBUTES`
`static java.lang.String[]` | `HOST_ELEMENTS`
`static java.lang.String[]` | `INDEXINGCLUSTER_ATTRIBUTES`
`static java.lang.String[]` | `INDEXINGCLUSTER_ELEMENTS`
`static java.lang.String[]` | `LOCK_MANAGER_ATTRIBUTES`
`static java.lang.String[]` | `LOCK_MANAGER_ELEMENTS`
`static java.lang.String[]` | `LOGSERVER_ATTRIBUTES`
`static java.lang.String[]` | `LOGSERVER_ELEMENTS`
`static java.lang.String[]` | `REPORT_GENERATOR_ATTRIBUTES`
`static java.lang.String[]` | `REPORT_GENERATOR_ELEMENTS`
`static java.lang.String[]` | `ROLLBACK_ATTRIBUTES`
`static java.lang.String[]` | `ROLLBACK_ELEMENTS`
`static java.lang.String[]` | `SCRIPT_ATTRIBUTES`
`static java.lang.String[]` | `SCRIPT_ELEMENTS`
`static java.lang.String[]` | `SHELL_ATTRIBUTES`
`static java.lang.String[]` | `SHELL_ELEMENTS`

Constructor Summary
`EacToolkitNamespaceHandler()`

Method Summary
`void` | `init()`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EAC_BASE_ID

    public static final java.lang.String EAC_BASE_ID

  Default name for "base" attribute

  See Also:
    Constant Field Values

### DGRAPH_BASE_ID

    public static final java.lang.String DGRAPH_BASE_ID

  Name of default-dgraph "base" attribute

  See Also:
    Constant Field Values

### AGRAPH_BASE_ID

    public static final java.lang.String AGRAPH_BASE_ID

  Name of default-agraph "base" attribute

  See Also:
    Constant Field Values

### EAC_BASE_ATTRIBUTES

    public static final java.lang.String[] EAC_BASE_ATTRIBUTES

### EAC_BASE_REF_ATTRIBUTES

    public static final java.lang.String[] EAC_BASE_REF_ATTRIBUTES

### EAC_BASE_ELEMENTS

    public static final java.lang.String[] EAC_BASE_ELEMENTS

### HOST_ATTRIBUTES

    public static final java.lang.String[] HOST_ATTRIBUTES

### HOST_ELEMENTS

    public static final java.lang.String[] HOST_ELEMENTS

### LOGSERVER_ATTRIBUTES

    public static final java.lang.String[] LOGSERVER_ATTRIBUTES

### LOGSERVER_ELEMENTS

    public static final java.lang.String[] LOGSERVER_ELEMENTS

### DGIDX_ATTRIBUTES

    public static final java.lang.String[] DGIDX_ATTRIBUTES

### DGIDX_ELEMENTS

    public static final java.lang.String[] DGIDX_ELEMENTS

### AGIDX_ATTRIBUTES

    public static final java.lang.String[] AGIDX_ATTRIBUTES

### AGIDX_ELEMENTS

    public static final java.lang.String[] AGIDX_ELEMENTS

### INDEXINGCLUSTER_ATTRIBUTES

    public static final java.lang.String[] INDEXINGCLUSTER_ATTRIBUTES

### INDEXINGCLUSTER_ELEMENTS

    public static final java.lang.String[] INDEXINGCLUSTER_ELEMENTS

### FORGE_ATTRIBUTES

    public static final java.lang.String[] FORGE_ATTRIBUTES

### FORGE_ELEMENTS

    public static final java.lang.String[] FORGE_ELEMENTS

### FORGECLUSTER_ATTRIBUTES

    public static final java.lang.String[] FORGECLUSTER_ATTRIBUTES

### FORGECLUSTER_ELEMENTS

    public static final java.lang.String[] FORGECLUSTER_ELEMENTS

### DGRAPH_ATTRIBUTES

    public static final java.lang.String[] DGRAPH_ATTRIBUTES

### DGRAPH_ELEMENTS

    public static final java.lang.String[] DGRAPH_ELEMENTS

### DGRAPHCLUSTER_ATTRIBUTES

    public static final java.lang.String[] DGRAPHCLUSTER_ATTRIBUTES

### DGRAPHCLUSTER_ELEMENTS

    public static final java.lang.String[] DGRAPHCLUSTER_ELEMENTS

### AGRAPH_ATTRIBUTES

    public static final java.lang.String[] AGRAPH_ATTRIBUTES

### AGRAPH_ELEMENTS

    public static final java.lang.String[] AGRAPH_ELEMENTS

### AGRAPHCLUSTER_ATTRIBUTES

    public static final java.lang.String[] AGRAPHCLUSTER_ATTRIBUTES

### AGRAPHCLUSTER_ELEMENTS

    public static final java.lang.String[] AGRAPHCLUSTER_ELEMENTS

### SCRIPT_ATTRIBUTES

    public static final java.lang.String[] SCRIPT_ATTRIBUTES

### SCRIPT_ELEMENTS

    public static final java.lang.String[] SCRIPT_ELEMENTS

### LOCK_MANAGER_ATTRIBUTES

    public static final java.lang.String[] LOCK_MANAGER_ATTRIBUTES

### LOCK_MANAGER_ELEMENTS

    public static final java.lang.String[] LOCK_MANAGER_ELEMENTS

### CUSTOM_COMPONENT_ATTRIBUTES

    public static final java.lang.String[] CUSTOM_COMPONENT_ATTRIBUTES

### CUSTOM_COMPONENT_ELEMENTS

    public static final java.lang.String[] CUSTOM_COMPONENT_ELEMENTS

### REPORT_GENERATOR_ATTRIBUTES

    public static final java.lang.String[] REPORT_GENERATOR_ATTRIBUTES

### REPORT_GENERATOR_ELEMENTS

    public static final java.lang.String[] REPORT_GENERATOR_ELEMENTS

### SHELL_ATTRIBUTES

    public static final java.lang.String[] SHELL_ATTRIBUTES

### SHELL_ELEMENTS

    public static final java.lang.String[] SHELL_ELEMENTS

### COPY_ATTRIBUTES

    public static final java.lang.String[] COPY_ATTRIBUTES

### COPY_ELEMENTS

    public static final java.lang.String[] COPY_ELEMENTS

### BACKUP_ATTRIBUTES

    public static final java.lang.String[] BACKUP_ATTRIBUTES

### BACKUP_ELEMENTS

    public static final java.lang.String[] BACKUP_ELEMENTS

### ROLLBACK_ATTRIBUTES

    public static final java.lang.String[] ROLLBACK_ATTRIBUTES

### ROLLBACK_ELEMENTS

    public static final java.lang.String[] ROLLBACK_ELEMENTS

Constructor Detail

### EacToolkitNamespaceHandler

    public EacToolkitNamespaceHandler()

Method Detail

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Handlers 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Handlers (eacHandlers)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:26-0500